## com.google.appengine.api.datastore
Class DatastoreAttributes

    java.lang.Object
      com.google.appengine.api.datastore.DatastoreAttributes

    public final class DatastoreAttributes

extends java.lang.Object

Attributes of a datastore.

Nested Class Summary
`static class` `DatastoreAttributes.DatastoreType` Indicates the type of datastore being used.

Method Summary
`DatastoreAttributes.DatastoreType` `getDatastoreType()` Gets the datastore type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDatastoreType

    public DatastoreAttributes.DatastoreType getDatastoreType()

  Gets the datastore type. Only guaranteed to return something other than `DatastoreAttributes.DatastoreType.UNKNOWN` when running in production and querying the current app.